
Redmine - Defect #4490

Repository—>View    show disordered with GBK(Chinese) code.

2009-12-27 14:54 - Lei Wang

Status: Closed Start date: 2009-12-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.8.7

Description

Here are some display problems, on the Chinese code.

Shown as the image "GBKcode.png".

The file ("testcode3.txt") is GBK code, has been commited with TSVN. When I view the code of this file on Redmine's Repository,it's

Disordered.

This problem has been troubled me two weeks!

I learn Trac and Redmine for 3 weeks, install it step by step with the packet which their needs. AND I was so shocked by their strong

for the great idear that all of them can connect with SVN. Redmine is more powered then Trac for the User-friendly degree, but the

Chinese CODE.

So I urge you for help!

— a Chinese boy

History

#1 - 2009-12-27 15:02 - Lei Wang

I'm sorry I forgot to select the target version, the target version is Redmine 0.87.

It also have the same problem with BitNami install.

I will waiting for your message.

#2 - 2009-12-27 18:34 - Jean-Philippe Lang

- Assignee deleted (Eric Davis)

#3 - 2009-12-27 18:40 - Jean-Philippe Lang

Have you tried to enter an appropriate value in Administration -> Settings -> Repositories -> Repositories encodings (eg. GBK) ?

#4 - 2009-12-28 18:15 - Lei Wang

Jean-Philippe Lang wrote:

Have you tried to enter an appropriate value in Administration -> Settings -> Repositories -> Repositories encodings (eg. GBK) ?

 Philippe,thank you for your message. And with your hint I just remembered, I didn't make sure the UTF-8code of the file before I commited it to SVN. I

think I must make two things:

1. make sure the name of the file is EN.

2. make sure the file is UTF-8 code.

3. And enter an appropriate value in _Administration -> Settings -> Repositories -> Repositories encodings  for UTF-8

I tried again and again, but the GBK is not be supported will. My English is very poor, but you also helped me.

thanks !

#5 - 2009-12-29 14:23 - Jean-Philippe Lang

- Category set to SCM

#6 - 2009-12-30 00:38 - Eric Davis

- Priority changed from Urgent to Normal

- Affected version (unused) set to 0.8.7
- Affected version set to 0.8.7

#7 - 2011-02-05 06:42 - Toshi MARUYAMA

- File test.hg added

- File testcode3.txt.png added

- File TortoiseHg-about.png added

- File hgtk-log.png added

- File redmine-annotate.png added

- File redmine-diff.png added

- File redmine-setting.png added

- Status changed from New to Closed

- Resolution set to Invalid

Line 1 is "测试：英文文名、GBK格式、中文的注释     内容：在redmine中显示以及changset文件是否是乱码".

Line 6 is "5第五行再次修改".

This is correct behavior.

I attach TorotiseHg and Redmine images on my Fedora 13.

"test.hg" is Mercurial repository bundle.

$ LANG=zh_CN.GBK hgtk log

Files

GBKcode.png 33.3 KB 2009-12-27 Lei Wang

testcode3.txt 142 Bytes 2009-12-27 Lei Wang

changeset_r13.diff 244 Bytes 2009-12-27 Lei Wang

test.hg 933 Bytes 2011-02-05 Toshi MARUYAMA

testcode3.txt.png 47.4 KB 2011-02-05 Toshi MARUYAMA

TortoiseHg-about.png 37.1 KB 2011-02-05 Toshi MARUYAMA

hgtk-log.png 85.6 KB 2011-02-05 Toshi MARUYAMA

redmine-annotate.png 70.6 KB 2011-02-05 Toshi MARUYAMA

redmine-diff.png 36 KB 2011-02-05 Toshi MARUYAMA

redmine-setting.png 49.1 KB 2011-02-05 Toshi MARUYAMA
